Bug 10951 - X Font Server DoS and Buffer Overflow Vulnerabilities
X Font Server DoS and Buffer Overflow Vulnerabilities
Status: CLOSED DUPLICATE of bug 10877
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
http://www.securityfocus.com/bid/1111
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-20 18:10 EDT by p.hummel
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-08 10:18:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description p.hummel 2000-04-20 18:10:39 EDT
A denial of service exists in the X11 font server shipped with RedHat
Linux 6.x. Due to improper input validation, it is possible for any user
to crash the X fontserver. This will prevent the X server from functioning
properly.

Additional, similar problems exist in the stock xfs. Users can crash the
font server remotely, and potential exists for buffer overruns. The crux
of the problem stems from the font server being lax about verifying
network input. While no exploits exist, it is likely they are available in
private circles, and can result in remote root compromise.

vulnerable:
RedHat Linux 6.2 sparc
RedHat Linux 6.2 i386
RedHat Linux 6.2 alpha
RedHat Linux 6.1 sparc
RedHat Linux 6.1 i386
RedHat Linux 6.1 alpha
RedHat Linux 6.0 sparc
RedHat Linux 6.0 i386
RedHat Linux 6.0 alpha
Comment 1 Bernhard Rosenkraenzer 2000-12-20 07:50:50 EST

*** This bug has been marked as a duplicate of 10877 ***

Note You need to log in before you can comment on or make changes to this bug.